Help - Search - Members - Calendar
Full Version: Sharp-compat-libs : Postinst Error With Quickexec
OESF Forums > Distros, Development, and Model Specific Forums > Distro Support and Discussion > Angstrom & OpenZaurus
steven999
Hi All,

I went to install the sharp-compat-libs today on my 5600 with OZ 3.5.4. I get a postinst error on install, and after looking around for solutions found good information on irongeek.com. I had to do it a little differently so I thought I'd post it here:

1)cd into /etc/init.d and issue the following command:

touch quickexec

2)I installed to home instead of to root, so ran this:

ipkg install -d home sharp-compat-libs

Because there is a dummy quickexec file, this will succed in installing.

3) go to /etc/init.d and remove the quickexec dummy file

4) issue the following:

ipkg-link add sharp-compat-libs

to link in from home to root. This will also link in the real quickexec file which all the symlinks installed in the postinst script need to point to.

That's it! It's not a fix for the package postinst script, but it is a workaround. Hope that helps!

steven
steven999
Hmm.... well, it seems that something is up. The install completed but everything was installed to /home/packages/opt/QtPalmtop.compat and not into /home/packages/opt/QtPalmtop. Also, no links were made between programs or libraries in /home/packages/opt/QtPalmtop.compat when running "ipkg-link add sharp-compat-libs", thus libqpe, runcompat, makecompat, etc. are not linked.

I can link this manually but is that necessary? Is there something I'm missing in the process of installing this or is this really a bug in the installation?

Thanks,
steven
steven999
Ugh, please ignore the previous message. runcompat, makecompat, etc. are found. I rebooted and now things are working (zudoku runs after running makecompat on it).

Sorry about being a little impatient in messaging to the forum... =o


QUOTE(steven999 @ Mar 26 2006, 07:05 PM)
Hmm.... well, it seems that something is up.  The install completed but everything was installed to /home/packages/opt/QtPalmtop.compat and not into /home/packages/opt/QtPalmtop.  Also, no links were made between programs or libraries in /home/packages/opt/QtPalmtop.compat when running "ipkg-link add sharp-compat-libs", thus libqpe, runcompat, makecompat, etc. are not linked. 

I can link this manually but is that necessary?  Is there something I'm missing in the process of installing this or is this really a bug in the installation?

Thanks,
steven
*
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.